#include <string>
#include <sstream>

class BankAccount {

protected:
	float balance;	// Account balance

public:
	BankAccount();
	void deposit(float amount);
	void withdraw(float amount);
	void transfer(BankAccount& to, float amount);
	std::string report();
};

class SavingsAccount : public BankAccount {

private:
	float interestRate;

public:
	SavingsAccount(float rate);
	void addInterest();
};