#include <string>
#include <sstream>

class BankAccount {

private:
	float balance;	// Account balance
	std::string name; // Account name
	int transactionCount;

public:
	void initialise(std::string name);
	void deposit(float amount);
	void withdraw(float amount);
	void transfer(BankAccount& to, float amount);
	std::string report();
};

