#include <string>
#include <sstream>

class BankAccount {

protected:
	std::string name;
	float balance;	// Account balance

public:
	BankAccount(std::string inName);
	void deposit(float amount);
	void withdraw(float amount);
	void transfer(BankAccount& to, float amount);
	virtual std::string report();
};

class SavingsAccount : public BankAccount {

private:
	float interestRate;

public:
	SavingsAccount(std::string inName, float rate);
	void addInterest();
	std::string report();
};